package com.ruoyi.common.core.domain.entity;

import com.easy.mongodb.common.annotation.Table;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import org.bson.types.ObjectId;

/**
 * ProjectName: RuoYi-Vue-MongoDB
 * Description: 角色和部门关联 sys_role_dept
 * Author: 86631561@163.coom
 * Date: 2022/7/14 13:56:08
 * UpdateUser: 86631561@163.coom
 * UpdateDate: 2022/7/14 13:56:08
 * UpdateRemark: The modified content
 * Version: 1.0
 * <p>
 * Copyright © 2022 86631561@163.coom Technologies Inc. All Rights Reserved
 **/
@Table(value = "sys_role_dept")
public class SysRoleDept {
    /** 角色ID */
    private ObjectId roleId;

    /** 部门ID */
    private ObjectId deptId;

    public ObjectId getRoleId() {
        return this.roleId;
    }

    public void setRoleId(String roleId) {
        this.roleId = new ObjectId(roleId);
    }

    public ObjectId getDeptId() {
        return this.deptId;
    }

    public void setDeptId(String deptId) {
        this.deptId = new ObjectId(deptId);
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("roleId", this.getRoleId())
                .append("deptId", this.getDeptId())
                .toString();
    }
}
